<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Document</title>
  <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
</head>

<body>
  <!--
    ref:
    https://vuejs.org/v2/guide/events.html#Event-Modifiers
  -->
  <div id="app">
    <p>{{ contador }}</p>
    <button v-on:click="somar(5, $event)">Somar 5</button>
    <p v-on:mousemove="atualizarXY">
      Mouse: {{ x }} e {{ y }}
      <!--
        - em JS, há um método de evento que para a propagação de um evento. é o event.stopPropagation
        - no vue, os modificadores funcionam como atalhos que fazem o mesmo que esses métodos.
        - nesse caso, o modificador é um shorthand pro método event.stopPropagation, que precisaria ser feito no código JS
        - esse modificador para a propagação na área (elemento) em que for marcado
        - reduz-se, assim, o tamanho de código necessário para implementar alguns comportamentos
      -->
      <span v-on:mousemove.stop="">PARAR AQUI!!</span>

    </p>
    <!--
      - outro método comum aplicado a eventos, é o de prevenir comportamento padrão: event.preventDefault
      - pra ele, também há modificador no vue
    -->
    <a v-on:click.prevent="naoNavegar" href="http://google.com">Google</a>
    <!--
      - esses modificadores também podem ser encadeáveis: v-on:evento.stop.prevent, por exemplo.
      - também pode-se passar uma função, além do modificador: v-on:evento.stop="funcao(param1, param2)"
    -->
  </div>
  <script src="app.js"></script>
</body>

</html>